Package ru.bgcrm.plugin.bgbilling.proto.dao

# Class ContractScriptDAO

java.lang.Object
ru.bgcrm.plugin.bgbilling.dao.BillingDAO
ru.bgcrm.plugin.bgbilling.proto.dao.ContractScriptDAO

public class ContractScriptDAO extends BillingDAO

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `dbInfo, jsonMapper, jsonTypeFactory, transferData, user`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractScriptDAO(User user, String billingId)`
  `ContractScriptDAO(User user, DBInfo dbInfo)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ContractScript`
  `contractScriptGet(int scriptId)`
  `List<ContractScript>`
  `contractScriptList(int contractId)`
  `void`
  `contractScriptLogList(Pageable<ContractScriptLogItem> result, int contractId, String dateFrom, String dateTo)`
  `void`
  `deleteContractScript(int scriptId)`
  `void`
  `updateContractScript(int contractId, int scriptId, int scriptTypeId, String comment, String dateFrom, String dateTo)`

  ### Methods inherited from class ru.bgcrm.plugin.bgbilling.dao.BillingDAO

  `doRequest, getDbInfo, getPage, getParameterId, getVersion, linesToString, readJsonValue, setPage`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractScriptDAO

    public ContractScriptDAO(User user, DBInfo dbInfo)

  - ### ContractScriptDAO

    public ContractScriptDAO(User user, String billingId)

- ## Method Details

  - ### contractScriptList

    public List<ContractScript> contractScriptList(int contractId)

  - ### contractScriptGet

    public ContractScript contractScriptGet(int scriptId)

  - ### contractScriptLogList

    public void contractScriptLogList(Pageable<ContractScriptLogItem> result, int contractId, String dateFrom, String dateTo)

  - ### updateContractScript

    public void updateContractScript(int contractId, int scriptId, int scriptTypeId, String comment, String dateFrom, String dateTo)

  - ### deleteContractScript

    public void deleteContractScript(int scriptId)